@charset"UTF-8";
a, abbr, acronym, address, applet, article, aside, audio, b, big, blockquote, body, canvas, caption, center, cite, code, dd, del, details, dfn, div, dl, dt, em, embed, fieldset, figcaption, figure, footer, form, h1, h2, h3, h4, h5, h6, header, hgroup, html, i, iframe, img, ins, kbd, label, legend, li, mark, menu, nav, object, ol, output, p, pre, q, ruby, s, samp, section, small, span, strike, strong, sub, summary, sup, table, tbody, td, tfoot, th, thead, time, tr, tt, u, ul, var, video {
    margin:0;
    padding:0;
    border:0;
    font-size:100%;
    font:inherit;
    vertical-align:baseline
}
article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
    display:block
}
body {
    line-height:1
}
ol, ul {
    list-style:none;
    color:#bbb
}
blockquote, q {
    quotes:none
}
blockquote:after, blockquote:before, q:after, q:before {
    content:'';
    content:none
}
table {
    border-collapse:collapse;
    border-spacing:0
}

@font-face {
    font-family: HarmonyOS-Sans;
    src: url("https://photo.xiangming.site/font/HarmonyOS-Sans.woff2");
}
body {
    width:100%;
    margin:0 auto;
    color:#333;
    background: #ffb52212;
    font-family:-apple-system,HarmonyOS-Sans,BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
    -webkit-tap-highlight-color:transparent;
    -webkit-font-smoothing:antialiased;
    -moz-osx-font-smoothing:grayscale;
    text-rendering:optimizeLegibility;
    line-height:2em;
    text-align:justify;
    word-wrap:break-word
    
}
.imgbg:before {
    background: url(https://photo.xiangming.site/img/web_bg.png) repeat top center;
    opacity: .1;
    position: fixed;
    z-index: -1;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    content: "";
}

.wrapper {
    max-width:880px;
    background:#fff;
    margin:0 auto;
    margin-top:60px;
    box-shadow:0 10px 20px 0 hsla(0, 0%, 93%, .86);
    -webkit-transition:all .6s ease;
    transition:all .6s ease
}
h1, h2, h3, h4, h5, h6 {
    color:#1f1f1f;
    font-weight:700;
    margin:1em 0 .5em;
    line-height:1em
}
h1 {
    font-size:1.8em;
    margin:1.5em 0 1em
}
h2 {
    margin:1em 0 .8em
}
h2, h3 {
    font-size:1.2em
}
h3 {
    margin:1.2em 0 .8em
}
h4 {
    font-size:1.1em
}
a {
    text-decoration:none;
    -webkit-transition:.5s;
    transition:.5s;
    color:#999
}
a:hover {
    color:#555
}
blockquote, figure, hr, ol, p, pre, table, ul {
    margin-bottom:1em
}
b, strong {
    font-weight:700
}
em, italic {
    font-style:italic
}
hr {
    border-bottom:1px solid #eee;
    border-top:0;
    border-left:0;
    border-right:0
}
blockquote {
    padding:0 50px 0 40px;
    border-left:10px solid #ddd;
    background:#f7f7f7
}
blockquote:before {
    color:#ddd;
    content:"“";
    font-size:6em;
    vertical-align:-.4em;
    margin-left:-33px;
    line-height:0
}
table {
    background-color:#f7f7f7;
    border-collapse:collapse;
    border-spacing:0;
    border:1px solid #eee;
    width:100%;
    table-layout:fixed;
    word-wrap:break-word
}
td, th {
    border-left:1px solid #eee;
    padding:.5em 1em;
    vertical-align:middle;
    border-top:1px solid #eee
}
th {
    font-weight:700
}
table tbody>tr:nth-child(odd)>td, table tbody>tr:nth-child(odd)>th {
    background-color:#f9f9f9
}
code {
    border-bottom:1px solid #ddd;
    border-radius:4px;
    padding:.1em .5em
}
code, pre {
    font-family:consolas, Courier, monospace, sans-serif;
    font-size:.9em;
    background:#f7f7f7
}
pre {
    overflow:auto;
    letter-spacing:0;
    white-space:pre-wrap;
    word-wrap:break-word;
    text-align:left;
    border-top:1px solid #eee;
    border-bottom:1px solid #eee;
    padding:0 5%;
    padding-top:1em;
    padding-bottom:1em
}
pre code {
    border-bottom:0;
    padding:0;
    font-size:inherit
}
code, pre p {
    margin:0
}
pre br {
    display:none
}
sup {
    vertical-align:super
}
sub {
    vertical-align:sub
}
sub, sup {
    font-size:.8em;
    line-height:0
}
ul {
    list-style:square;
    margin-left:1em
}
ol {
    list-style:decimal;
    margin-left:1.3em
}
del {
    opacity:.3
}
::-moz-selection {
    background:#000;
    color:#fff
}
::selection {
    background:#000;
    color:#fff
}
section.search input {
    width:100%;
    font-size:.875em;
    font-family:-apple-system,HarmonyOS-Sans,BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
    -webkit-tap-highlight-color:transparent;
    -webkit-font-smoothing:antialiased;
    -moz-osx-font-smoothing:grayscale;
    text-rendering:optimizeLegibility;
    outline:0;
    display:inline-block;
    border-top:0;
    border-right:0;
    border-left:0;
    border-bottom:1px solid #eee;
    text-align:center;
    padding:.8em 0;
    background-color:#f7f7f7;
    -webkit-transition:.5s;
    transition:.5s
}
section.search input:focus, section.search input:hover {
    background-color:inherit
}
.clear {
    clear:both
}
header {
    margin:0 auto;
    min-height:140px;
    padding-left:5%;
    padding-right:5%;
    padding-top:75pt;
    padding-bottom: 85px;
}
header .logo {
    float:left;
    padding-top: 35px;
}
header .description {
    float:right
}
header img {
    width:90px;
    border-radius:5px
}
header h1 {
    color:#333;
    font-size:1.8em;
    margin:.5em;
    margin-right:0;
    text-align:right
}
header h2 {
    font-size:.8em;
    color:#bbb;
    font-weight:400
}
header h2, nav {
    text-align:right
}
nav {
    width:100%;
    margin-top:2em
}
nav ul {
    margin-left:0
}
nav ul, nav ul li {
    display:inline-block;
    padding-left:.3em
}
nav ul li a {
    font-size:.8em;
    width:auto;
    display:block;
    padding:.5em .8em;
    color:#999;
    line-height:2em;
    border-top:2px solid #555
}
nav ul li a:hover {
    font-weight:700;
    color:#fff;
    background:#555
}
article, main section.content {
    padding:0 5%
}
article h1, main section.content h1 {
    margin-bottom:.3em
}
article .meta, main section.content .meta {
    color:#bbb;
    font-size:.8em;
}
article .meta a, main section.content .meta a {
    margin:0 .3em
}
article .meta .item, main section.content .meta .item {
    margin-right:10px;
}
article h2 span, main section.content h2 span {
    font-size:.53em;
    margin-left:.3em;
    color:#bbb;
    font-weight:400
}
article .article-list h2:before, main section.content .article-list h2:before {
    content:''
}
main section.content h2:before {
    content:"# ";
    color:#555
}
main section.content h3:before {
    content:"## ";
    color:#555
}
main section.content h4:before {
    content:"### ";
    color:#555
}
article ul span, main section.content ul span {
    font-size:.8em;
    margin-left:.3em
}
article ul time, main section.content ul time {
    margin-right:.3em
}
article ol ul, article ul ol, article ul ul, main section.content ol ul, main section.content ul ol, main section.content ul ul {
    margin-left:0
}
article .info span, main section.content .info span {
    margin:0 0 2em;
    border:1px solid #eee;
    padding:15px 20px;
    color:#bbb;
    display:block
}
article.content {
    font-size:.975em;
    margin-top: 50px;
}
article.content dl, article.content h1, article.content h2, article.content h3, article.content h4, article.content h5, article.content h6, article.content legend, article.content ol, article.content p, article.content ul {
    padding:0 5%
}
article.content h2 {
    margin:2em 0 1.2em
}
article.content h3 {
    margin:1.8em 0 1em
}
article.content h1 {
    font-size:1.4em;
    margin:1em 0 .8em;
    padding:0 5%;
    text-align:left;
    font-weight: 400;
}
article.content .meta, section.content .meta {
    border-bottom: 0;
    padding: 22px 40px 6px 5%;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}
article {
    padding-left:0;
    padding-right:0
}
article ol p, article ul p {
    padding:0;
    margin:0 auto
}
article blockquote ol, article blockquote p, article blockquote ul {
    padding:0
}
article hr {
    margin:1em 5%
}
article figure {
    text-align:center
}
article figure img {
    max-width:100%;
    border-top:1px solid #eee;
    border-bottom:1px solid #eee
}
article figure figcaption {
    font-size:.8em;
    color:#bbb;
    margin-top:-5px;
    margin-bottom:1em;
    padding:0 5%;
    line-height:1.8em
}
article img {
    max-width:100%;
    border-radius: 3px;
}
article embed, article iframe {
    width:100%;
    border-top:1px solid #eee;
    border-bottom:1px solid #eee;
    margin:1em 0
}
article .post a {
    color: #e91e63;
}
article .post sub a, article .post sup a {
    border-bottom:0;
    padding:0
}
article .post sub a:before, article .post sup a:before {
    content:"["
}
article .post sub a:after, article .post sup a:after {
    content:"]"
}
article .toc {
    margin:0 5% 2em;
    border:1px solid #eee;
    padding:15px 20px 0
}
article .toc ul {
    list-style:circle;
    padding:0;
    color:#bbb;
    margin-left:1em
}
article .toc a {
    border-bottom:none
}
article ol, article ul {
    color:inherit;
    margin-left:2em
}
article ol ol, article ol ul, article ul ol, article ul ul {
    margin-bottom:0;
    padding:0
}
article .footnotes ol, article .footnotes ul {
    margin-left:1em;
    color:#bbb
}
article ul span {
    font-size:inherit;
    margin-left:inherit
}
.md_line {
    letter-spacing:.5px
}
.list-pager {
    padding:30px 20px;
    font-size:.875em;
    margin:0 30px
}
.list-pager .next {
    float:right
}
.list-pager .next i {
    margin-left:8px
}
.list-pager .pre {
    float:left
}
.list-pager .pre i {
    margin-right:8px
}
section.pager {
    border-top:1px solid #eee;
    border-bottom:1px solid #eee;
    text-align:center;
    overflow:auto;
    margin:2em 0 0;
    font-size:.875em
}
section.pager .full_paginator.full_pager a {
    padding-left:1em;
    padding-right:1em
}
section.pager a {
    padding:1em 0;
    display:inline-block
}
section.pager a.current {
    color:#555
}
section.pager a:hover {
    background:#f7f7f7
}
section.pager a.pre, section.pager span.pre {
    float:left;
    text-align:left;
    width:45%;
    padding-left:5%
}
section.pager a.pre:before, section.pager span.pre:before {
    content:"‹";
    font-size:1.3em;
    padding-right:5px;
    font-weight:700;
    line-height:1em
}
section.pager a.next, section.pager span.next {
    float:right;
    text-align:right;
    width:45%;
    padding-right:5%
}
section.pager a.next:after, section.pager span.next:after {
    content:"›";
    font-size:1.3em;
    padding-left:5px;
    font-weight:700;
    line-height:1em
}
section.pager span {
    color:#bbb;
    padding:1em 0
}
section.pager .paginator a {
    padding:1em .5em
}
section#comments {
    padding:0 5%;
    background:#f7f7f7;
    border-bottom:1px solid #eee;
    padding-top:.5em
}
.doc_comments {
    margin-top:0!important;
    padding:0!important
}
.doc_comments .comments_block_title {
    display:none
}
.doc_comments #new_comment_form .comment_trigger .trigger_title {
    margin-left:62px!important;
    line-height:3pc!important
}
.doc_comments #new_comment_form {
    font-size:.875em;
    background-color:inherit!important;
    border:0!important;
    margin:15px 0!important
}
.doc_comments #new_comment_form .input_body {
    background-color:inherit!important;
    border-top:1px solid #eee
}
.doc_comments #new_comment_form .input_body li input {
    padding-left:0!important;
    padding-right:1em!important
}
.doc_comments #new_comment_form .input_body li {
    margin-top:8px!important
}
.doc_comments #new_comment_form .comment_submit_button {
    font-size:.875em;
    margin:8px 0!important;
    border-radius:0!important;
    cursor:pointer
}
.doc_comments .comments ul {
    margin:0
}
.doc_comments .comments .comment {
    padding:0!important;
    background-color:inherit!important;
    margin:0!important;
    border-radius:0!important;
    border:0!important;
    border-top:1px solid #eee!important
}
.doc_comments .comments .comment .author {
    padding:1em 0 0!important
}
.doc_comments .comments .comment .author .author-name {
    float:left
}
.doc_comments .comments .comment .author b {
    background-color:inherit!important;
    color:#999!important;
    -webkit-transition:.5s;
    transition:.5s;
    margin-left:62px!important;
    font-size:.9em!important;
    font-weight:700!important
}
.doc_comments .comments .comment .author b:hover {
    color:red!important
}
.doc_comments .comments .comment .author .reply {
    font-size:.75em!important;
    background:inherit!important;
    color:transparent!important;
    -webkit-transition:.5s;
    transition:.5s
}
.doc_comments .comments .comment .author .reply:before {
    color:#fff;
    margin-right:-2em;
    background:#ddd;
    padding:3px 4px 2px
}
.doc_comments .comments .comment .author small {
    float:left;
    margin:0!important;
    color:#ccc;
    padding-top:4px;
    font-size:.8em
}
.doc_comments #new_comment_form .comment_trigger .avatar, .doc_comments .comments .comment .author .avatar {
    width:3pc!important;
    height:3pc!important
}
.doc_comments #new_comment_form .comment_trigger .avatar img, .doc_comments .comments .comment .author .avatar img {
    border-radius:5%!important
}
.doc_comments .comments .comment .author .avatar {
    top:1em!important
}
.doc_comments .comments .comment .p_part {
    margin:0 0 .7em!important
}
.doc_comments .comments .comment .comment_content {
    color:#333;
    margin-left:62px;
    margin-top:21px
}
.doc_comments .comments .sub_comments {
    padding-left:62px!important
}
.doc_comments .comments .sub_comments .sub_comments .sub_comments {
    padding-left:0!important
}
aside {
    overflow:auto;
    padding-top:20px;
    max-width:680px;
    margin:0 auto;
    padding-left: 30px;
}
aside .aside-left {
    width: 71%;
}
aside .aside-right {
    width: 29%;
}
aside .sidebar {
    float:left
}
aside .sidebar h3 {
    font-weight:400;
    font-size:14px
}
aside .sidebar li {
    font-size:9pt;
    float:left;
    width:50%;
    display:block
}
aside span {
    font-size:.8em;
    margin-left:.3em;
    color:#bbb
}
.article-list {
    padding:0 20px;
    margin:0 30px
}
.article-list article {
    margin-top:25px;
    border-bottom: 1px solid #f3f3f3;
}
.article-list article h2 {
    line-height:30px;
    font-weight:400
}
.article-list article h2 a {
    color:#1f1f1f
}
/*.article-list article .meta {*/
/*    border-bottom:1px solid #f3f3f3;*/
/*}*/
.excerpt p {
    color:#333;
    letter-spacing:.2px;
    line-height:2em;
    text-align:left
}
.archived-posts, .excerpt p {
    font-size:.875em
}
footer {
    text-align:center;
    padding:60px 0;
    font-size:.8em;
    line-height:3em;
    color:#bbb
}
footer .powered_by {
    line-height:1.2em
}
footer .footer_slogan {
    padding-top:5px;
    margin:0 auto;
    padding-bottom:10px
}
#back_to_top {
    background:#fff;
    box-shadow:0 10px 20px 0 hsla(0, 0%, 93%, .86)
}
#back_to_top span {
    color:#ccc
}
@media only screen and (max-width: 600px) {
    .wrapper {
        margin-top:0
    }
    header .logo {
        display:none
    }
    header .description {
        float:none
    }
    header .description h1, header .description h2 {
        text-align:center
    }
    .article-list {
        margin:0;
        padding:0
    }
    .article-list .meta {
        padding-left:5%;
        padding-right:5%
    }
    nav {
        width:100%;
        text-align:center;
        margin-top:2em
    }
    aside .sidebar {
        width:100%;
        float:none
    }
    aside, main section.content, pre {
        padding:0 5%
    }
    aside {
        padding-top:20px
    }
    pre {
        padding-top:1em;
        padding-bottom:1em
    }
    article dl, article h1, article h2, article h3, article h4, article h5, article h6, article legend, article ol, article p, article ul {
        padding:0 5%
    }
    blockquote {
        padding: 0 25px 0 20px;
        border-left:5px solid #ddd;
    }
    blockquote:before {
        margin-left:-20px
    }
    .doc_comments #new_comment_form .comment_trigger .avatar, .doc_comments .comments .comment .author .avatar {
        width:36px!important;
        height:36px!important
    }
    .doc_comments #new_comment_form .comment_trigger .trigger_title, .doc_comments .comments .comment .author b, .doc_comments .comments .comment .comment_content {
        margin-left:3pc!important
    }
    .doc_comments .comments .comment .p_part {
        font-size:.95em;
        line-height:2em
    }
    .doc_comments .comments .sub_comments {
        padding-left:3pc!important
    }
    .doc_comments .comments .sub_comments .sub_comments {
        padding-left:0!important
    }
}
.codehilite .c {
    color:#999
}
.codehilite .err {
    color:#a61717;
    background-color:#e3d2d2
}
.codehilite .k {
    color:#8b008b;
    font-weight:700
}
.codehilite .n, .codehilite .o, .codehilite .p {
    color:#555
}
.codehilite .cm {
    color:#999
}
.codehilite .cp {
    color:#1e889b
}
.codehilite .c1 {
    color:#999
}
.codehilite .cs {
    color:#8b008b;
    font-weight:700
}
.codehilite .gd {
    color:#a00
}
.codehilite .ge {
    font-style:italic
}
.codehilite .gr {
    color:#a00
}
.codehilite .gh {
    color:navy;
    font-weight:700
}
.codehilite .gi {
    color:#0a0
}
.codehilite .go {
    color:#888
}
.codehilite .gp {
    color:#555
}
.codehilite .gs {
    font-weight:700
}
.codehilite .gu {
    color:purple;
    font-weight:700
}
.codehilite .gt {
    color:#a00
}
.codehilite .kc, .codehilite .kd, .codehilite .kn, .codehilite .kp, .codehilite .kr {
    color:#8b008b;
    font-weight:700
}
.codehilite .kt {
    color:#a7a7a7;
    font-weight:700
}
.codehilite .m {
    color:#b452cd
}
.codehilite .s {
    color:#cd5555
}
.codehilite .na, .codehilite .nb {
    color:#658b00
}
.codehilite .nc {
    color:#008b45;
    font-weight:700
}
.codehilite .no {
    color:#00688b
}
.codehilite .nd {
    color:#707a7c
}
.codehilite .ni {
    color:#555
}
.codehilite .ne {
    color:#008b45;
    font-weight:700
}
.codehilite .nf {
    color:#008b45
}
.codehilite .nl {
    color:#555
}
.codehilite .nn {
    color:#008b45;
    text-decoration:underline
}
.codehilite .nx, .codehilite .py {
    color:#555
}
.codehilite .nt {
    color:#8b008b;
    font-weight:700
}
.codehilite .nv {
    color:#00688b
}
.codehilite .ow {
    color:#8b008b
}
.codehilite .w {
    color:#bbb
}
.codehilite .mb, .codehilite .mf, .codehilite .mh, .codehilite .mi, .codehilite .mo {
    color:#b452cd
}
.codehilite .s2, .codehilite .sb, .codehilite .sc, .codehilite .sd, .codehilite .se {
    color:#cd5555
}
.codehilite .sh {
    color:#1c7e71;
    font-style:italic
}
.codehilite .si {
    color:#cd5555
}
.codehilite .sx {
    color:#cb6c20
}
.codehilite .sr {
    color:#1c7e71
}
.codehilite .s1, .codehilite .ss {
    color:#cd5555
}
.codehilite .bp {
    color:#658b00
}
.codehilite .vc, .codehilite .vg, .codehilite .vi {
    color:#00688b
}
.codehilite .il {
    color:#b452cd
}
.hljs {
    display:block;
    overflow-x:auto;
    padding:.5em;
    color:#000
}
.hljs-addition, .hljs-attribute, .hljs-emphasis, .hljs-link {
    color:#070
}
.hljs-emphasis {
    font-style:italic
}
.hljs-deletion, .hljs-string, .hljs-strong {
    color:#d14
}
.hljs-strong {
    font-weight:700
}
.hljs-comment, .hljs-quote {
    color:#998;
    font-style:italic
}
.hljs-section, .hljs-title {
    color:#900
}
.hljs-class .hljs-title, .hljs-type {
    color:#458
}
.hljs-template-variable, .hljs-variable {
    color:#369
}
.hljs-bullet {
    color:#970
}
.hljs-meta {
    color:#34b
}
.hljs-code, .hljs-keyword, .hljs-literal, .hljs-number, .hljs-selector-tag {
    color:#099
}
.hljs-regexp {
    background-color:#fff0ff;
    color:#808
}
.hljs-symbol {
    color:#990073
}
.hljs-name, .hljs-selector-class, .hljs-selector-id, .hljs-tag {
    color:#070
}
::-webkit-scrollbar {
    width: 9px;
    height: 9px;
}
::-webkit-scrollbar-thumb {
    background: #c8c8c8;
}
.searchbox {
    display:none;
    perspective:50em;
    top:0;
    left:0;
    width:100%;
    height:100%;
    z-index:100;
    background:rgba(0, 0, 0, .7);
    transform-origin:0;
    perspective-origin:top center
}
.searchbox.show {
    display:block
}
.searchbox, .searchbox .searchbox-container {
    position:fixed
}
.searchbox .searchbox-container {
    overflow:hidden
}
.searchbox .searchbox-selectable {
    cursor:pointer
}
.searchbox .searchbox-input-wrapper {
    position:relative
}
.searchbox .searchbox-input-wrapper .searchbox-input {
    width:100%;
    border:none;
    outline:0;
    font-size:16px;
    box-shadow:none;
    font-weight:200;
    border-radius:0;
    background:#fff;
    line-height:20px;
    box-sizing:border-box;
    padding:12px 50px 12px 20px;
    border-radius:4px;
    border-bottom:1px solid #e2e2e2
}
.searchbox .searchbox-input-wrapper .searchbox-close {
    top:50%;
    right:10px;
    width:20px;
    height:20px;
    font-size:16px;
    margin-top:-14px;
    position:absolute;
    text-align:center;
    display:inline-block
}
.searchbox .searchbox-input-wrapper .searchbox-close:hover {
    color:#3273dc
}
.searchbox .searchbox-result-wrapper {
    left:0;
    right:0;
    top:45px;
    bottom:0;
    overflow-y:auto;
    position:absolute
}
.searchbox .searchbox-container {
    left:50%;
    top:255px;
    width:540px;
    z-index:101;
    bottom:100px;
    margin-left:-270px;
    box-sizing:border-box
}
@media screen and (max-width:559px), screen and (max-height:479px) {
    .searchbox .searchbox-container {
        /* top:0; */
        left:0;
        margin:0;
        width:100%;
        height:100%;
        background: #0d382959;
    }
}
a.search {
    text-decoration:none;
    position:fixed;
    bottom:40px;
    right:30px;
    background:#f0f0f0;
    height:40px;
    width:40px;
    border-radius:50%;
    line-height:36px;
    font-size:26px;
    text-align:center;
    transition-duration:.5s;
    transition-propety:background-color;
}
a.search span {
    color:#888
}
a.search:hover {
    cursor:pointer;
    background:#dfdfdf
}
a.search:hover span {
    color:#555
}
@media print, screen and (max-width:580px) {
    .search {
        display:none!important
    }
}
#search {
    background: #fff;
    box-shadow: 0 10px 20px 0 hsla(0, 0%, 93%, .86)
}
/*开屏动画*/
.splash-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff; /* 可以设置为你的主题背景色 */
    animation: fadeOut 0.5s forwards;
    animation-delay: 2s; /* 延迟2秒后开始动画 */
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    
}
 
.splash-screen img {
    width: 100%;
    height: auto;
    max-width: 120px; /* 根据你的动画图片大小调整 */
    margin: auto;
    margin-bottom: 10px;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}
/* 图片和文字容器样式 */
.centered-content {
    text-align: center;
}
@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}



/* 友情链接样式 */

.right-title{
    padding-left: 26px;
    font-size: 20px;
    margin-top: 25px;
}
.sxk li {
    height: 50px important;
}
#yk{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
#yk  li{
position: relative;
    width: 250px;
    height: 80px;
    margin: 20px 10px;
    background-color: #cbcbcb4f;
    border-radius: 8px;
    list-style-type: none;
    float: left;
}
@media (max-width: 768px) {
    #yk li{
    position: relative;
    width: 350px;
    height: 80px;
    margin: 20px 10px;
    background-color: #cbcbcb4f;
    border-radius: 8px;
    list-style-type: none;
    flex-basis: calc(50% - 20px); /* 小屏幕下两个项目一行 */
   
}
}
@media (max-width: 990px) {
    #yk li{
    position: relative;
    width: 330px;
    height: 80px;
    margin: 20px 10px;
    background-color: #cbcbcb4f;
    border-radius: 8px;
    list-style-type: none;
     flex-basis: calc(50% - 20px); /* 中等屏幕下两个项目一行 */
   
}
}

li {
    /* 设置初始的缩放效果为 1（原始大小） */
    transform: scale(1);
    transition: transform 600ms ease; /* 设置缩放的过渡效果 */
}

li:hover {
    /* 鼠标悬停时放大到 1.08 倍大小 */
    transform: scale(1.04);
}
li:hover img{
    animation: imgspin 2s infinite;
    -webkit-animation: imgspin 2s linear infinite;
    -o-animation: imgspin 2s linear infinite;
}
#yk img {
    width:70px;
    max-height: 70px;
    border-radius: 100px;
    margin: 6px;
}

@keyframes imgspin {
    100% {transform: rotate(360deg);}
}
.title{
position: absolute;
      left: 81px;
    top: 22px;
    width: 160px;
    font-size: 10px!important;
    color: #b5b5b5!important;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}
.name{
position: absolute;
   margin-top: 14px;
}
#yk span {
   
    margin-top: 10px;
    margin-left: 5px;
    line-height: 20px;
    font-size: 15px;
    color: #696969;
}
.page-page{
    max-width: 1230px;
    padding: 130px 25px 20px;
    
}
.gs, .yd {
    margin: 5%;
    padding: 10px;
    border: 1px #bbbbbb solid;
    border-radius: 8px;

}
.gs_1, .yd_1  {
    float: right;
    font-size: 40px;
    font-weight: 800;
    color: #69696945;
}
.gs p, .yd p {
   font-size: 1rem;
   margin: 6px auto!important;
}

/*音乐播放器*/
.post-content.aplayer{
  margin: 0px !important;
}

.header-logo img {
    width: 350px;
}
.post-content {
    padding: 0 50px 25px 40px;
    border-left: 10px solid #ddd;
    background: #f7f7f7;
}
.post-content:before {
    color: #ddd;
    content: "“";
    font-size: 6em;
    vertical-align: -.4em;
    margin-left: -33px;
    line-height: 0;
}
.ad {
    margin: 0;
    padding: 0;
}

.ad img {
    display: block;
    max-width: 100%;
    height: auto;
}

.rss-container {
 
    display: flex;
    max-width: 90%;
    flex-wrap: wrap;
    margin: 0 auto;
}

.rss-card {
   
    border-radius: 12px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 20px;
    background-color: #f7f9fe;
    margin-bottom: 20px;
    transition: transform 0.3s; /* 添加动画效果 */
    position: relative; /* 为伪元素提供定位参考 */
}

.rss-card:hover {
    transform: scale(1.02); /* 鼠标悬停时放大 */
}

.rss-card h2 {
    font-size: 1rem; /* 字体大小为1rem */
    padding-top: 2px;
    margin: 0;
    color: #333;
    word-wrap: break-word; /* 让标题内容自动换行 */
    white-space: nowrap; /* 文本不换行 */
    overflow: hidden; /* 超出部分隐藏 */
    text-overflow: ellipsis; /* 超出部分用省略号表示 */
}

.rss-card .metadata {
    display: flex;
    justify-content: space-between; /* 将作者和发布时间分别居左和居右 */
    font-size: 11px;
    font-weight: 600;
    margin-top: 10px;
}

.rss-card .metadata p {
    margin: 5px 0; /* 添加一些垂直间距 */
}

.rss-card-icon {
            position: absolute;
            top: 10px; /* 距离卡片顶部的距离 */
            right: 10px; /* 距离卡片右侧的距离 */
            width: 20px; /* 图标宽度 */
            height: 20px; /* 图标高度 */
            background-image: url("data:image/webp;base64,UklGRpIDAABXRUJQVlA4WAoAAAAwAAAALwAALwAAVlA4THQDAAAvL8ALEDfCNrJtJd+VyKEFuqRJWiB3e5JSAuNIspV89xNOCmRJkqTA3e0J40iylXz3E04KZEmSpMDd7YnCtm1bLKYzhRAxs2mejdNkXhbDOFrWVVlVAGByztZtk1KyH4e6aTrO0/O+vyil53293yfnHBHN9/+MMb7/F0Lo+3/GGN//M8YAAM65AQAAwHsfANBaAwDMPEqphYistSEi51z387DWhoistd3Pw1rbX0AMADZtozEzM29JUXE9LNqx9f9LrSXb2QUR/WcgSVKTNZDPRZY73gAAAAAAAAAAsLZ1fv3+XnS7RfF+c7G9BgAAAAAAAOmapc2T5w9ERERERMTy5WBzKfJk9DhvISIixis6V+v5uRIRkWcS3c/zzOzcdxFz7+7DTobN3TYiYoPMfsrk8lEHkd/ZvU6W4vmjxWo0vYvD6L3bwT6nU6mB1lprrbXWWutBFWnci1mTIz7Hznvvvffee+89ee9nP5Vo3JVfvedE1NgRERERERERERER+ZnmvB5WOc67/DFElHnX/O6d87TkNqeeKDtjFZfYerB4zmf5I1p9XnbIuZ0tAWwKrU7FnKej4XA4HA5Ho9BvUjM6ruKf2gI4ERZZWn/F1lss7IzRH3AWp7D2LPj4QOenHxWI+D+M0Ccn8bqy9SER/iciRjJSCwzCcHt93lsseqAznQsw+6UEi4vrOCZijlUVadGG/U/J4/ZdEBhEoKfGGGOMMcYY69jSDvtY8aVPYBwY2NS6s3QQ8QrFggCbTQRZ4h3GNmw3Bzmy+o7t8BzUOS8T2685hV9bO+ecc84550USSVMQtpRSSimllNJDz5IIUsOydDJiSSWH3TTHN9OVNHV3IQv5+Ergerts/PrzPuhWlDfm+yiBsDGkdpmlz5oJS1S/rcBBHGziM2uttdZaa229MBXdMMcAmyXfFwxhJi7Lb3wJ17cNsHSZRJajmYnyefDF62UMjEDOttCyN/eTvTCdmsj/9gOBdKvRQlMXwg8/MD1Mp8MqjPyemUhPY2aTX+kDntakn++l/EvwAlkBdD8SGPbLuTtqEnaYGBZPNE6dFP8Qp1KB7TAWZHNb508qzu7JIJ49QpwWorHwodcgKj/uZwX+1fNOdu1F3uklKOysyDtVbDQ552ydvrYT/d+Ot5caHo1W1i9uO51u8Iidu+uNlSQvAA==");
            background-repeat: no-repeat;
            background-size: cover;
            transition: transform 0.3s; /* 添加动画效果 */
        }
 .rss-card:hover .rss-card-icon {
    background-image: url("data:image/png;base64,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"); /* 在鼠标悬停时更改图标 */
}

.rss-card:hover .rss-card-icon:hover {
    transform: scale(1.1); /* 在鼠标悬停时缩放图标，如果需要的话 */
}
#load-more {
    background-color: #bf8765;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
    display: none;
}

#load-more:hover {
    background-color: #7f573d;
}
.bs-today{
   border: 1px solid #ccc;
   border-radius: 4px;
   margin: 5%;
}
.bs-today legend{
    
    border-bottom: 1px dashed #ccc;
}
.bs-today h5{
    padding: 0 !important
}
.bs-list{
    padding-left: 6%;
}
/* 站点动态时间轴 */
 #teamnewslist ol {
    list-style:none;
    margin-left: 36px;
    padding-left: 14px;
    border-left: 2px solid #eee;
    font-size: 18px;
    color: #666;
}
#teamnewslist b {
    font-size: 12px;
    font-weight: normal;
    color: #999;
    display: block;
    position: relative;
    margin-bottom:5px;
}
#teamnewslist b::after {
    position: absolute;
    top: 6px;
    left: -22px;
    content:'';
    width: 14px;
    height: 14px;
    border-radius: 50%;
    background-color: #fff;
    border: 2px solid #ccc;
    box-shadow: 2px 2px 0 rgba(255, 255, 255, 1), -2px -2px 0 rgba(255, 255, 255, 1)
}
#teamnewslist li {
    list-style:none;
    margin: 0 0 20px 0;
    line-height: 100%;
}
#teamnewslist li:hover {
    color: #555;
}
#teamnewslist li:hover b::after {
    border-color: #C01E22;
}
#teamnewslist li:hover b {
    color: #C01E22;
}